de.katho.kBorrow.data.objects

## Class KLending

- java.lang.Object
- - de.katho.kBorrow.data.objects.KLending

    public class KLending
    extends java.lang.Object

Bildet eine Ausleihe ab.

### Field Summary

Fields
`private int` `article_id` ID des verliehenen Artikels.
`private java.lang.String` `end_date` Ende der Ausleihe.
`private java.lang.String` `expected_end_date` Voraussichtliches Ende der Ausleihe.
`private int` `id` ID der Ausleihe
`private int` `lender_id` ID des Ausleihers.
`private java.lang.String` `start_date` Start der Ausleihe.
`private int` `user_id` ID des Benutzers, der die Ausleihe erstellt hat.

### Constructor Summary

Constructors
Constructor and Description
`KLending(int pId, int pUserId, int pLenderId, int pArticleId, java.lang.String pStartDate, java.lang.String pExpEndDate, java.lang.String pEndDate)` Erzeugt ein neues KLending-Objekt.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getArticleId()` Gibt die ID des Artikels, der verliehen wurde, zurück.
`java.lang.String` `getEndDate()` Gibt das Enddatum der Ausleihe zurück.
`java.lang.String` `getExpectedEndDate()` Gibt das voraussichtliche Enddatum der Ausleihe zurück.
`int` `getId()` Gibt ID der Ausleihe zurück.
`int` `getLenderId()` Gibt ID des Ausleihers zurück.
`java.lang.String` `getStartDate()` Gibt das Startdatum der Ausleihe zurück.
`int` `getUserId()` Gibt ID des Benutzers, der die Ausleihe erstellt hat, zurück.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    private int id

ID der Ausleihe

#### user_id

    private int user_id

ID des Benutzers, der die Ausleihe erstellt hat.

#### article_id

    private int article_id

ID des verliehenen Artikels.

#### lender_id

    private int lender_id

ID des Ausleihers.

#### start_date

    private java.lang.String start_date

Start der Ausleihe.

#### expected_end_date

    private java.lang.String expected_end_date

Voraussichtliches Ende der Ausleihe.

#### end_date

    private java.lang.String end_date

Ende der Ausleihe.

### Constructor Detail

#### KLending

    public KLending(int pId,
                    int pUserId,
                    int pLenderId,
                    int pArticleId,
                    java.lang.String pStartDate,
                    java.lang.String pExpEndDate,
                    java.lang.String pEndDate)

Erzeugt ein neues KLending-Objekt.

Parameters:
  `pId` - ID der Ausleihe.
  `pUserId` - ID des Benutzers, der die Ausleihe erstellt hat.
  `pLenderId` - ID des Ausleihers.
  `pArticleId` - ID des verliehenen Artikels
  `pStartDate` - Startdatum der Ausleihe.
  `pExpEndDate` - Voraussichtliches Enddatum der Ausleihe.
  `pEndDate` - Enddatum der Ausleihe.

### Method Detail

#### getId

    public int getId()

Gibt ID der Ausleihe zurück.

Returns:
  ID der Ausleihe.

#### getUserId

    public int getUserId()

Gibt ID des Benutzers, der die Ausleihe erstellt hat, zurück.

Returns:
  ID des Benutzers, der die Ausleihe erstellt hat.

#### getLenderId

    public int getLenderId()

Gibt ID des Ausleihers zurück.

Returns:
  ID des Ausleihers.

#### getArticleId

    public int getArticleId()

Gibt die ID des Artikels, der verliehen wurde, zurück.

Returns:
  ID des Artikels, der verliehen wurde.

#### getStartDate

    public java.lang.String getStartDate()

Gibt das Startdatum der Ausleihe zurück.

Returns:
  Startdatum der Ausleihe.

#### getExpectedEndDate

    public java.lang.String getExpectedEndDate()

Gibt das voraussichtliche Enddatum der Ausleihe zurück.

Returns:
  Voraussichtliches Enddatum der Ausleihe.

#### getEndDate

    public java.lang.String getEndDate()

Gibt das Enddatum der Ausleihe zurück.

Returns:
  Enddatum der Ausleihe.